io.netty.handler.codec.redis

## Class FullBulkStringRedisMessage

- java.lang.Object
- - io.netty.buffer.DefaultByteBufHolder
  - - io.netty.handler.codec.redis.FullBulkStringRedisMessage

All Implemented Interfaces:
  io.netty.buffer.ByteBufHolder, BulkStringRedisContent, LastBulkStringRedisContent, RedisMessage, io.netty.util.ReferenceCounted

    @UnstableApi
    public class FullBulkStringRedisMessage
    extends io.netty.buffer.DefaultByteBufHolder
    implements LastBulkStringRedisContent

An aggregated bulk string of RESP.

### Field Summary

Fields
`static FullBulkStringRedisMessage` `EMPTY_INSTANCE` A predefined empty instance of `FullBulkStringRedisMessage`.
`static FullBulkStringRedisMessage` `NULL_INSTANCE` A predefined null instance of `FullBulkStringRedisMessage`.

### Fields inherited from interface io.netty.handler.codec.redis.LastBulkStringRedisContent

`EMPTY_LAST_CONTENT`

### Constructor Summary

Constructors
Constructor and Description
`FullBulkStringRedisMessage(io.netty.buffer.ByteBuf content)` Creates a `FullBulkStringRedisMessage` for the given `content`.

### Method Summary

All Methods Instance Methods Concrete Methods
`FullBulkStringRedisMessage` `copy()`
`FullBulkStringRedisMessage` `duplicate()`
`boolean` `isNull()` Returns whether the content of this message is `null`.
`FullBulkStringRedisMessage` `replace(io.netty.buffer.ByteBuf content)`
`FullBulkStringRedisMessage` `retain()`
`FullBulkStringRedisMessage` `retain(int increment)`
`FullBulkStringRedisMessage` `retainedDuplicate()`
`String` `toString()`
`FullBulkStringRedisMessage` `touch()`
`FullBulkStringRedisMessage` `touch(Object hint)`

### Methods inherited from class io.netty.buffer.DefaultByteBufHolder

`content, contentToString, equals, hashCode, refCnt, release, release`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.netty.buffer.ByteBufHolder

`content`

### Methods inherited from interface io.netty.util.ReferenceCounted

`refCnt, release, release`

### Field Detail

#### NULL_INSTANCE

    public static final FullBulkStringRedisMessage NULL_INSTANCE

A predefined null instance of `FullBulkStringRedisMessage`.

#### EMPTY_INSTANCE

    public static final FullBulkStringRedisMessage EMPTY_INSTANCE

A predefined empty instance of `FullBulkStringRedisMessage`.

### Constructor Detail

#### FullBulkStringRedisMessage

    public FullBulkStringRedisMessage(io.netty.buffer.ByteBuf content)

Creates a `FullBulkStringRedisMessage` for the given `content`.

Parameters:
  `content` - the content, must not be `null`. If content is null or empty, use `NULL_INSTANCE` or `EMPTY_INSTANCE` instead of constructor.

### Method Detail

#### isNull

    public boolean isNull()

Returns whether the content of this message is `null`.

Returns:
  indicates whether the content of this message is `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `io.netty.buffer.DefaultByteBufHolder`

#### copy

    public FullBulkStringRedisMessage copy()

Specified by:
  `copy` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `copy` in interface `BulkStringRedisContent`
Specified by:
  `copy` in interface `LastBulkStringRedisContent`
Overrides:
  `copy` in class `io.netty.buffer.DefaultByteBufHolder`

#### duplicate

    public FullBulkStringRedisMessage duplicate()

Specified by:
  `duplicate` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `duplicate` in interface `BulkStringRedisContent`
Specified by:
  `duplicate` in interface `LastBulkStringRedisContent`
Overrides:
  `duplicate` in class `io.netty.buffer.DefaultByteBufHolder`

#### retainedDuplicate

    public FullBulkStringRedisMessage retainedDuplicate()

Specified by:
  `retainedDuplicate` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retainedDuplicate` in interface `BulkStringRedisContent`
Specified by:
  `retainedDuplicate` in interface `LastBulkStringRedisContent`
Overrides:
  `retainedDuplicate` in class `io.netty.buffer.DefaultByteBufHolder`

#### replace

    public FullBulkStringRedisMessage replace(io.netty.buffer.ByteBuf content)

Specified by:
  `replace` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `replace` in interface `BulkStringRedisContent`
Specified by:
  `replace` in interface `LastBulkStringRedisContent`
Overrides:
  `replace` in class `io.netty.buffer.DefaultByteBufHolder`

#### retain

    public FullBulkStringRedisMessage retain()

Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `BulkStringRedisContent`
Specified by:
  `retain` in interface `LastBulkStringRedisContent`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `retain` in class `io.netty.buffer.DefaultByteBufHolder`

#### retain

    public FullBulkStringRedisMessage retain(int increment)

Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `BulkStringRedisContent`
Specified by:
  `retain` in interface `LastBulkStringRedisContent`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `retain` in class `io.netty.buffer.DefaultByteBufHolder`

#### touch

    public FullBulkStringRedisMessage touch()

Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `BulkStringRedisContent`
Specified by:
  `touch` in interface `LastBulkStringRedisContent`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `touch` in class `io.netty.buffer.DefaultByteBufHolder`

#### touch

    public FullBulkStringRedisMessage touch(Object hint)

Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `BulkStringRedisContent`
Specified by:
  `touch` in interface `LastBulkStringRedisContent`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `touch` in class `io.netty.buffer.DefaultByteBufHolder`